public class JosephusSolver {

    public static void usage() {
        System.err.println("Usage: java JosephusSolver n k");
        System.exit(1);
    }

    public static void main(String[] args) {
        int n;
	int k;
	JosephusListe<Integer> jl = new JosephusListe<Integer>();
	int result;

	if ( args.length != 2 ) {
	    usage();
	}

	n = Integer.parseInt(args[0]);
	k = Integer.parseInt(args[1]);

	// Liste aufbauen, Cursor steht immer auf dem letzen eingefuegten Element
	for (int i=1 ; i<=n ; i++) {
	    jl.insert(i);
	}

	// einen einzelnen Schritt vorwaerts, damit Cursor auf dem ersten Element steht.
	jl.forward(1);

	while ( jl.size() > 1) {
	    // Nach dem Loeschen ist der Cursor stets schon ein Element weiter gewandert,
	    // daher nur forward(k-1)
	    jl.forward(k-1);
	    jl.delete();
	}

	result = jl.get();

	System.out.println(result);
    }
}
